Subject: bug#54970: 28.1; Some emoji no longer display

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Apr 2022 21:26:03 +0300

> From: Howard Melman <[email-masked]>
> Date: Sat, 16 Apr 2022 13:17:45 -0400
> Cc: Alan Third <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>,
>  [email-masked]
> 
> 
> 
> > On Apr 16, 2022, at 12:42 PM, Eli Zaretskii <[email-masked]> wrote:
> > 
> >> From: Howard Melman <[email-masked]>
> >> Date: Sat, 16 Apr 2022 12:21:20 -0400
> >> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> >> 
> >>>   (set-fontset-font t 'symbol "Apple Color Emoji")
> >>> 
> >>> Please let us know if that makes any difference.
> >> 
> >> As I said in my initial report, that (or something similar) did solve it for me.
> >> 
> >> But the NEWS report said to do this:
> >> 
> >>    (set-fontset-font t 'emoji
> >>                      '("My New Emoji Font" . "iso10646-1") nil 'prepend)
> >> 
> >> Which did not work for me, but this did:
> >> 
> >>    (set-fontset-font t 'symbol
> >>                     '("Apple Color Emoji" . "iso10646-1") nil 'prepend)
> > 
> > That's because we don't want to advertise the (non-free) Apple font.
> 
> That's fine, but the first is for the script symbol 'emoji and the second
> is for the script symbol 'symbol and using the first with the Apple font
> didn't work.

Which is how it should be, AFAIU.  That character is not in the
Unicode Emoji sequences database.

> >> I'm not clear about what the iso10646-1 part does or if it's needed.  
> > 
> > It makes the setting work more reliably in this case.
> 
> Not in my experience :) What I'm not clear about is why the registry
> "iso10646-1" is needed if I'm specifying a script for emoji which I think
> is always unicode.

Nobody knows.  You are welcome to read the font-related code in Emacs,
and if you figure that out, please be sure to tell us.